package com.zehong.communication.model;

import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Pattern;

@Data
public class SendVoiceNotify extends BaseRequestModel {

    /**
     * 手机号码
     */
    @NotEmpty(message = "手机号不能为空")
    @Pattern(regexp = "^1[0-9]{10}$", message = "手机号不合法")
    private String phoneNumber;

    /**
     * 语音模板
     */
    @NotBlank(message = "语音模板不能为空")
    private String templateId;

    /**
     * 模板变量字符串
     * {\"变量1\":\"值1\",\"变量2\":\"值2\",\"变量3\":\"值3\"}
     */
    private String param;
}
