package com.zehong.communication.util;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.codec.digest.DigestUtils;

public class MD5Utils {

    /**
     * f225e66813e6d6a663daf919c1935dcb md5
     */
    static final String TARGET = "zehongcommunicationservice";

    /**
     * 不可逆算法  MD5
     * @param target 目标字符串
     * @return
     */
    public static String  Md5(String target){
        return DigestUtils.md5Hex(target);
    }

    /**
     * 不可逆算法  SHA1
     * @param target 目标字符串
     * @param type 加密算法
     * @return String
     */
    public static String sha1(String target,String type){
        switch (type){
            case "shaHex" :
                return DigestUtils.shaHex(target);
            case "sha256Hex" :
                return DigestUtils.sha256Hex(target);
            case "sha384Hex" :
                return DigestUtils.sha384Hex(target);
            case "sha512Hex":
                return DigestUtils.sha512Hex(target);
            default:
                return null;
        }
    }

    /**
     * 可逆算法  BASE64加密算法
     * @param target 目标字符串
     * @return String
     */
    public static String encodeBase64(String target){
        //加密
        byte[] b = Base64.encodeBase64(target.getBytes(), true);
        return new String(b);

    }

    /**
     * 可逆算法  BASE64解密算法
     * @param target 目标字符串
     * @return String
     */
    public static String decodeBase64(String target){
        //解密
        byte[] b1 = Base64.decodeBase64(target);
        return new String(b1);
    }

}
